/**
  ******************************************************************************
  * @file    demo_lowpower.h
  * @author  MCD Application Team
  * @version V1.2.1
  * @date    19-May-2011
  * @brief   Header for demo_lowpower.c
  ******************************************************************************
  * @attention
  *
  */   
   
// Define to prevent recursive inclusion -------------------------------------
#ifndef __DEMO_LOWPOWER_H
#define __DEMO_LOWPOWER_H


// Private typedef -----------------------------------------------------------
// Private define ------------------------------------------------------------
#include "stm8l15x.h"

// Private macro -------------------------------------------------------------
// Private variables ---------------------------------------------------------
// Private function prototypes -----------------------------------------------
void SetSysClockTo16(void);
void SetSysClockTo8(void);
void SetSysClockTo4(void);
void SetSysClockTo2(void);
void EnterWFIMode_EXTI(void);
void EnterWFIMode_RTCAlarm(void);
void EnterWFEMode_EXTEvent(void);
void EnterWFEMode_COMPEvent(void);
void EnterActiveHaltMode_EXTI(void);
void EnterActiveHaltMode_RTCAlarm(void);
void EnterHaltMode_EXTI(void);
void EnterHaltMode_COMP(void);
// Private functions ---------------------------------------------------------

#endif /* __DEMO_LOWPOWER_H */

