/**
  ******************************************************************************
  * @file    demo_about.c
  * @author  MCD Application Team
  * @version V1.2.1
  * @date    19-May-2011
  * @brief   This file contains all the functions for the ABOUT demo.
  ******************************************************************************
  * @attention
  *
  */ 

// Includes ------------------------------------------------------------------
#include "demo_about.h"

// Private typedef -----------------------------------------------------------
// Private define ------------------------------------------------------------
// Private macro -------------------------------------------------------------
// Private variables ---------------------------------------------------------
// Private function prototypes -----------------------------------------------
// Private functions ---------------------------------------------------------

  // * @addtogroup Demo_Functions

/**
  * @brief  Displays the demo FW version
  * @param  None
  * @retval None
  */  
void ABOUT_Exec(void)
{
  
  // Clear LCD 
   LCD_Clear();
  
  WaitDelay(50);
  
  LCD_SetCursorPos(LCD_LINE1, 0);
  LCD_Print("STM8L1526-EVAL");
  LCD_SetCursorPos(LCD_LINE2, 0);
  LCD_Print("  FW: V1.2.1  ");
}


