/**
  ******************************************************************************
  * @file    demo_help.h
  * @author  MCD Application Team
  * @version V1.2.1
  * @date    19-May-2011
  * @brief   Header for demo_help.c
  ******************************************************************************
  * @attention
  *
  */   

// Define to prevent recursive inclusion -------------------------------------
#ifndef __DEMO_HELP_H
#define __DEMO_HELP_H

// Includes ------------------------------------------------------------------
#include "stm8l15x.h"
#include "stm8_eval_lcd.h"
#include "functions.h"

// Exported types ------------------------------------------------------------

// Exported constants --------------------------------------------------------

// Following delay is based on 5ms time base 
// Define how long each each help message is displayed - Delay = 2s 
#define HELP_PERIOD ((uint16_t)400)

// Exported macro ------------------------------------------------------------
// Exported variables --------------------------------------------------------

// Exported functions --------------------------------------------------------
void HELP_Exec(void);

#endif /* __DEMO_HELP_H */

