/**
  ******************************************************************************
  * @file    main.h
  * @author  MCD Application Team
  * @version V1.2.1
  * @date    19-May-2011
  * @brief   Header for main.c
  ******************************************************************************
  * @attention
  *
  */   

// Define to prevent recursive inclusion ------------------------------------ 
#ifndef __MAIN_H
#define __MAIN_H

// Includes ------------------------------------------------------------------
#include "stm8l15x.h"
#include "joystick_button.h"
#include "functions.h"
#include "stm8_eval_lcd.h"
#include "menu.h"
#include "demo_help.h"

// Exported types ------------------------------------------------------------
// Exported constants --------------------------------------------------------
#define WELCOME_DELAY        400 /* Define how long the welcome text is displayed - Delay = 2.0s */

// Exported macro ------------------------------------------------------------
// Exported variables --------------------------------------------------------
// Exported functions ------------------------------------------------------- 

#endif /* __MAIN_H */

